import {
  recentMeetingRecord,
} from '../../../utils/api/meeting'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: [],
    tomorrowList: [],
    //tab的current
    currentPage: 0,
    searchData: {
      data: {
        status: null,
      },
      pageNum: 1,
      pageSize: 1000,
    },
    total: 0,
    type: 'meeting-record'
  },
  // 获取列表 type-> 1:初始化 2：下拉加载  currentPage-> 0全部1审核中2通过3不通过
  getList(type) {
    let {
      searchData,
      list,
      tomorrowList,
      currentPage,
    } = this.data
    if (currentPage == 0) {
      searchData.data.status = null
    }else if(currentPage == 1){
      searchData.data.status = 2
    }else if( currentPage == 2){
      searchData.data.status = 3
    }else if(currentPage == 3){
      searchData.data.status = 4
    }
    searchData.pageNum = type === 1 ? 1 : (searchData.pageNum + 1)
    this.setData({
      'searchData.pageNum': searchData.pageNum
    })
    wx.showLoading({
      title: '加载中',
    })

    recentMeetingRecord({
      status: searchData.data.status
    }).then(res => {
      list = res.data.todayMeetingRecords
      tomorrowList = res.data.tomorrowMeetingRecords
      this.setData({
        list,
        tomorrowList
      })
      wx.hideLoading()
    })


  },
  // scrollView触底事件
  reachBottom(e) {
    // this.getList()
  },
  //获得切换tab的index
  changeSwiper(e) {
    var {
      currentPage
    } = this.data;
    switch (e.currentTarget.dataset.type) {
      case 'click':
        currentPage = e.currentTarget.dataset.index
        break;
      case 'slide':
        currentPage = e.detail.current
        break;
      default:
        break;
    };
    this.setData({
      currentPage
    })
    this.getList(1)
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    if (options.type) {
      this.setData({
        type: options.type
      })
      // console.log(this.data.type,4);
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getList(1)
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})